diff --git a/doc/emacs/display.texi b/doc/emacs/display.texi
index 1a9c65a08c..7b28ba0c97 100644
--- a/doc/emacs/display.texi
+++ b/doc/emacs/display.texi
@@ -1327,13 +1327,19 @@ Optional Mode Line
 @cindex mode, Column Number
 @findex column-number-mode
   Similarly, you can display the current column number by turning on
-Column number mode with @kbd{M-x column-number-mode}.  The column
+Column Number mode with @kbd{M-x column-number-mode}.  The column
 number is indicated by the letter @samp{C}.  However, when both of
 these modes are enabled, the line and column numbers are displayed in
 parentheses, the line number first, rather than with @samp{L} and
 @samp{C}.  For example: @samp{(561,2)}.  @xref{Minor Modes}, for more
 information about minor modes and about how to use these commands.
 
+@vindex column-number-mode-starts-from-zero
+  In Column Number mode, the displayed column number begins at zero at
+the start of a line. If you would prefer for the displayed column
+number to begin at one, you may set
+@code{column-number-mode-starts-from-zero} to @code{nil}.
+
 @cindex narrowing, and line number display
   If you have narrowed the buffer (@pxref{Narrowing}), the displayed
 line number is relative to the accessible portion of the buffer.
diff --git a/doc/lispref/frames.texi b/doc/lispref/frames.texi
index d6f014fada..bd2bacc739 100644
--- a/doc/lispref/frames.texi
+++ b/doc/lispref/frames.texi
@@ -1871,7 +1871,7 @@ Frame Titles
 This variable specifies how to compute a name for a frame when you have
 not explicitly specified one.  The variable's value is actually a mode
 line construct, just like @code{mode-line-format}, except that the
-@samp{%c} and @samp{%l} constructs are ignored.  @xref{Mode Line
+@samp{%c}, @samp{%C}, and @samp{%l} constructs are ignored.  @xref{Mode Line
 Data}.
 @end defvar
 
diff --git a/doc/lispref/modes.texi b/doc/lispref/modes.texi
index 132dda3fc6..623b4c52b7 100644
--- a/doc/lispref/modes.texi
+++ b/doc/lispref/modes.texi
@@ -2093,7 +2093,10 @@ %-Constructs
 @xref{Buffer Names}.
 
 @item %c
-The current column number of point.
+The current column number of point, starting from zero.
+
+@item %C
+The current column number of point, starting from one.
 
 @item %e
 When Emacs is nearly out of memory for Lisp objects, a brief message
diff --git a/etc/refcards/gnus-logo.pdf b/etc/refcards/gnus-logo.pdf
deleted file mode 100644
index 3629a605e6..0000000000
Binary files a/etc/refcards/gnus-logo.pdf and /dev/null differ
diff --git a/lisp/bindings.el b/lisp/bindings.el
index f641865ba3..47d9596176 100644
--- a/lisp/bindings.el
+++ b/lisp/bindings.el
@@ -368,12 +368,19 @@ mode-line-position
 mouse-1: Display Line and Column Mode Menu")))
     (line-number-mode
      ((column-number-mode
-       (10 ,(propertize
-	     " (%l,%c)"
-	     'local-map mode-line-column-line-number-mode-map
-	     'mouse-face 'mode-line-highlight
-	     'help-echo "Line number and Column number\n\
+       (column-number-mode-starts-from-zero
+        (10 ,(propertize
+              " (%l,%c)"
+              'local-map mode-line-column-line-number-mode-map
+              'mouse-face 'mode-line-highlight
+              'help-echo "Line number and Column number\n\
 mouse-1: Display Line and Column Mode Menu"))
+        (10 ,(propertize
+              " (%l,%C)"
+              'local-map mode-line-column-line-number-mode-map
+              'mouse-face 'mode-line-highlight
+              'help-echo "Line number and Column number\n\
+mouse-1: Display Line and Column Mode Menu")))
        (6 ,(propertize
 	    " L%l"
 	    'local-map mode-line-column-line-number-mode-map
@@ -381,12 +388,19 @@ mode-line-position
 	    'help-echo "Line Number\n\
 mouse-1: Display Line and Column Mode Menu"))))
      ((column-number-mode
-       (5 ,(propertize
-	    " C%c"
-	    'local-map mode-line-column-line-number-mode-map
-	    'mouse-face 'mode-line-highlight
-	    'help-echo "Column number\n\
-mouse-1: Display Line and Column Mode Menu"))))))
+       (column-number-mode-starts-from-zero
+        (5 ,(propertize
+             " C%c"
+             'local-map mode-line-column-line-number-mode-map
+             'mouse-face 'mode-line-highlight
+             'help-echo "Column number\n\
+mouse-1: Display Line and Column Mode Menu"))
+        (5 ,(propertize
+             " C%C"
+             'local-map mode-line-column-line-number-mode-map
+             'mouse-face 'mode-line-highlight
+             'help-echo "Column number\n\
+mouse-1: Display Line and Column Mode Menu")))))))
   "Mode line construct for displaying the position in the buffer.
 Normally displays the buffer percentage and, optionally, the
 buffer size, the line number and the column number.")
diff --git a/lisp/simple.el b/lisp/simple.el
index 5f70adedc4..821880b1f3 100644
--- a/lisp/simple.el
+++ b/lisp/simple.el
@@ -7198,6 +7198,10 @@ column-number-mode
 If called from Lisp, enable the mode if ARG is omitted or nil."
   :global t :group 'mode-line)
 
+(defvar column-number-mode-starts-from-zero t
+  "When set to true, Column Number mode displays columns starting from zero.
+Otherwise, displayed column numbers start from one.")
+
 (define-minor-mode size-indication-mode
   "Toggle buffer size display in the mode line (Size Indication mode).
 With a prefix argument ARG, enable Size Indication mode if ARG is
diff --git a/src/buffer.c b/src/buffer.c
index 8ef27dee0f..7661e13623 100644
--- a/src/buffer.c
+++ b/src/buffer.c
@@ -5608,8 +5608,10 @@ A string is printed verbatim in the mode line except for %-constructs:
 	For a modified read-only buffer, %* gives % and %+ gives *.
   %s -- print process status.   %l -- print the current line number.
   %c -- print the current column number (this makes editing slower).
+        The leftmost column is displayed as 0.
         To make the column number update correctly in all cases,
 	`column-number-mode' must be non-nil.
+  %C -- Like %c, but the leftmost column is displayed as 1.
   %i -- print the size of the buffer.
   %I -- like %i, but use k, M, G, etc., to abbreviate.
   %p -- print percent of buffer above top of window, or Top, Bot or All.
diff --git a/src/xdisp.c b/src/xdisp.c
index c6f8566523..cab01ec701 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -475,7 +475,7 @@ int windows_or_buffers_changed;
    used to track down the cause for this full-redisplay).
 
    Since the frame title uses the same %-constructs as the mode line
-   (except %c and %l), if this variable is non-zero, we also consider
+   (except %c, %C, and %l), if this variable is non-zero, we also consider
    redisplaying the title of each frame, see x_consider_frame_title.
 
    The `redisplay' bits are the same as those used for
@@ -11462,7 +11462,7 @@ window_buffer_changed (struct window *w)
   return (BUF_SAVE_MODIFF (b) < BUF_MODIFF (b)) != w->last_had_star;
 }
 
-/* True if W has %c in its mode line and mode line should be updated.  */
+/* True if W has %c or %C in its mode line and mode line should be updated.  */
 
 static bool
 mode_line_update_needed (struct window *w)
@@ -23520,7 +23520,8 @@ decode_mode_spec (struct window *w, register int c, int field_width,
       break;
 
     case 'c':
-      /* %c and %l are ignored in `frame-title-format'.
+    case 'C':
+      /* %c, %C, and %l are ignored in `frame-title-format'.
          (In redisplay_internal, the frame title is drawn _before_ the
          windows are updated, so the stuff which depends on actual
          window contents (such as %l) may fail to render properly, or
@@ -23530,8 +23531,9 @@ decode_mode_spec (struct window *w, register int c, int field_width,
       else
 	{
 	  ptrdiff_t col = current_column ();
+	  int disp_col = (c == 'C') ? col + 1 : col;
 	  w->column_number_displayed = col;
-	  pint2str (decode_mode_spec_buf, width, col);
+	  pint2str (decode_mode_spec_buf, width, disp_col);
 	  return decode_mode_spec_buf;
 	}
 
@@ -23579,7 +23581,7 @@ decode_mode_spec (struct window *w, register int c, int field_width,
 	ptrdiff_t topline, nlines, height;
 	ptrdiff_t junk;
 
-	/* %c and %l are ignored in `frame-title-format'.  */
+	/* %c, %C, and %l are ignored in `frame-title-format'.  */
 	if (mode_line_target == MODE_LINE_TITLE)
 	  return "";
 
@@ -31530,7 +31532,7 @@ This variable is not guaranteed to be accurate except while processing
 \(Assuming the window manager supports this feature.)
 
 This variable has the same structure as `mode-line-format', except that
-the %c and %l constructs are ignored.  It is used only on frames for
+the %c, %C, and %l constructs are ignored.  It is used only on frames for
 which no explicit name has been set (see `modify-frame-parameters').  */);
 
   DEFVAR_LISP ("icon-title-format", Vicon_title_format,
